Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.verifier.jarv
Class RELAXNGFactoryImpl

    java.lang.Object
      org.iso_relax.verifier.VerifierFactory
          com.sun.msv.verifier.jarv.FactoryImpl
              com.sun.msv.verifier.jarv.RELAXNGFactoryImpl

public class RELAXNGFactoryImpl
extends FactoryImpl

VerifierFactory implementation of RELAX NG. This implementation supports the "datatypeLibraryFactory" property which configures RELAX NG parser with a datatype library factory.

Author:
  Kohsuke KAWAGUCHI

Constructor Summary
`RELAXNGFactoryImpl()`

Method Summary
`java.lang.Object` | `getProperty(java.lang.String name)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`

Methods inherited from class com.sun.msv.verifier.jarv.FactoryImpl
`compileSchema, getEntityResolver, isFeature, setEntityResolver, setFeature`

Methods inherited from class org.iso_relax.verifier.VerifierFactory
`compileSchema, compileSchema, compileSchema, compileSchema, newInstance, newInstance, newInstance, newVerifier, newVerifier, newVerifier, newVerifier, newVerifier`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RELAXNGFactoryImpl

    public RELAXNGFactoryImpl()

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws org.xml.sax.SAXNotRecognizedException,
                                        org.xml.sax.SAXNotSupportedException

  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws org.xml.sax.SAXNotRecognizedException,
                            org.xml.sax.SAXNotSupportedException

  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD